Bulk remove members from a workspace
curl --request POST \
--url https://nemonist.com/api/v1/workspaces/{id}/members/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_ids": [
"user_abc123",
"user_def456"
]
}
'import requests
url = "https://nemonist.com/api/v1/workspaces/{id}/members/remove"
payload = { "user_ids": ["user_abc123", "user_def456"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: ['user_abc123', 'user_def456']})
};
fetch('https://nemonist.com/api/v1/workspaces/{id}/members/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"removed_count": 2
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Workspaces
Bulk remove members from a workspace
Remove multiple members from a workspace. Members with active API keys in the workspace cannot be removed. SCIM-managed members cannot be removed; changes must be made in your identity provider. Management key required.
POST
/
workspaces
/
{id}
/
members
/
remove
Bulk remove members from a workspace
curl --request POST \
--url https://nemonist.com/api/v1/workspaces/{id}/members/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_ids": [
"user_abc123",
"user_def456"
]
}
'import requests
url = "https://nemonist.com/api/v1/workspaces/{id}/members/remove"
payload = { "user_ids": ["user_abc123", "user_def456"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: ['user_abc123', 'user_def456']})
};
fetch('https://nemonist.com/api/v1/workspaces/{id}/members/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"removed_count": 2
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Authorizations
Headers
Body
application/json